-- License CC0 (Creative Commons license) (c) darkfrei, 2022


local Screen = require ("multitouch")

local line = require ("line") -- example curve

function love.load()
	love.window.setMode(384, 805)
	
	Screen:load()
	
end


function love.update(dt)
	
	
end


function love.draw()
	Screen:draw()

	
	
--	example graphics:
--	draws the circle in the middle of the screen
	love.graphics.setColor(1,1,1)
	love.graphics.circle('line',0, 0,300)
	
--	draws xy axies
	love.graphics.line(0,-800,0,800)
	love.graphics.line(-800,0,800,0)
	love.graphics.print ('O', 2, -15)
--	love.graphics.print ('(O: ' .. Screen.translate.x .. ' ' .. Screen.translate.y .. ')', 2, 2)
	
--	draws custom graphics
	love.graphics.setColor(1,1,0)
	love.graphics.line(line)
	
	
	-- debug GUI
	local mx = love.mouse.getX()
	local my = love.mouse.getY()
	love.graphics.origin()
	love.graphics.setColor(0,1,0)
	love.graphics.print ('Debug GUI:', 1, 30)
	love.graphics.print('mouse x: ' .. mx ..', y: '.. my, 1, 45) 
	love.graphics.print('tr/scale x: ' .. (mx-Screen.translate.x)/Screen.scale ..
		', y: '.. (my-Screen.translate.y)/Screen.scale, 1, 60) 
	love.graphics.print('safe x:'..Screen.x..' y:'..Screen.y..' w:'..Screen.w..' h:'..Screen.h, 1, 75) 
	love.graphics.print('zoom ' .. Screen.scale, 1, 90) 
	love.graphics.print('tr ' .. Screen.translate.x ..', '.. Screen.translate.y, 1, 105) 
	love.graphics.print('DPIScale ' .. love.window.getDPIScale( ), 1, 120) 
	love.graphics.print('circle x:' .. Screen.circle.x..' y:'..Screen.circle.y..' r:'..Screen.circle.r, 1, 135) 
	love.graphics.print('width:' .. Screen.width..' heigh:'..Screen.heigh, 1, 150) 
end

 

function love.keypressed(key, scancode, isrepeat)
	if false then
	elseif key == "escape" then
		love.event.quit()
	end
end

-- touch screen

function love.touchpressed (id, x, y, dx, dy, pressure)
	Screen:touchpressed (id, x, y, dx, dy, pressure)
	
end

function love.touchmoved (id, x, y, dx, dy, pressure)
    Screen:touchmoved (id, x, y, dx, dy, pressure)
	
end

function love.touchreleased (id, x, y, dx, dy, pressure)
    Screen:touchreleased (id, x, y, dx, dy, pressure)
	
end






